@ set port=%1

@ echo Changing mode on %port%

@ mode.com %port%: baud=1200 dtr=on
@ mode.com %port%: dtr=off

@ echo Running avrdude on %port%

@ avrdude -V -v -patmega4809 -cjtag2updi -P%port%  -b115200 -e -D "-Uflash:w:binary.hex:i" "-Ufuse2:w:0x01:m" "-Ufuse5:w:0xC9:m" "-Ufuse8:w:0x00:m" {upload.extra_files}
